Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510314 - Unable to create client binaries/symlinks out of CLI image while using insecure registry
Summary: Unable to create client binaries/symlinks out of CLI image while using insecu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: Scott Dodson
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 07:52 UTC by Gan Huang
Modified: 2017-11-28 22:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When installing using system containers and installing from an insecure registry the CLI was not properly extracted from the container image due to an error. This error has been resolved ensuring successful installation in these scenarios.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:21:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Gan Huang 2017-11-07 07:52:43 UTC
Description of problem:
Task failed while enabling system container with insecure registry:

TASK [openshift_cli : Copy client binaries/symlinks out of CLI image for use on the host] ***
Tuesday 07 November 2017  07:02:33 +0000 (0:00:36.604)       0:11:57.449 ****** 
fatal: [host-8-245-68.host.centralci.eng.rdu2.redhat.com]: FAILED! => {"changed": false, "failed": true, "module_stderr": "Shared connection to host-8-245-68.host.centralci.eng.rdu2.redhat.com closed.\r\n", "module_stdout": "Traceback (most recent call last):\r\n  File \"/tmp/ansible_wOp_xv/ansible_module_openshift_container_binary_sync.py\", line 175, in <module>\r\n    main()\r\n  File \"/tmp/ansible_wOp_xv/ansible_module_openshift_container_binary_sync.py\", line 166, in main\r\n    binary_syncer.sync()\r\n  File \"/tmp/ansible_wOp_xv/ansible_module_openshift_container_binary_sync.py\", line 46, in sync\r\n    return self._sync_atomic()\r\n  File \"/tmp/ansible_wOp_xv/ansible_module_openshift_container_binary_sync.py\", line 63, in _sync_atomic\r\n    shutil.copy(src_file, self.temp_dir)\r\n  File \"/usr/lib64/python2.7/shutil.py\", line 119, in copy\r\n    copyfile(src, dst)\r\n  File \"/usr/lib64/python2.7/shutil.py\", line 82, in copyfile\r\n    with open(src, 'rb') as fsrc:\r\nIOError: [Errno 2] No such file or directory: '/tmp/tmpT_Ol0o/usr/bin/openshift'\r\n", "msg": "MODULE FAILURE", "rc": 0}
	to retry, use: --limit @/home/slave2/workspace/Launch Environment Flexy/private-openshift-ansible/playbooks/byo/config.retry 

Version-Release number of the following components:
openshift-ansible-3.7.0-0.196.0.git.0.27cd7ec.el7.noarch.rpm
atomic-1.19.1-5.git48c224b.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Trigger containerized installation with system containers enabled against insecure regsitry (brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888)
# cat inventory_host
<--snip-->
openshift_use_system_containers=true
# Note: we have to add `http:` prefix for insecure registry.
system_images_registry=http:brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888
<--snip-->


Actual results:
see above

Expected results:

Additional info:

Comment 2 Steve Milner 2017-11-07 20:55:49 UTC
I took a quick gander at this with Scott and I believe http: is making it's way down into the binary sync as part of the image name. Because of this addition to the image name the installer won't be able to mount and sync binaries from the image.

If I'm correct, I belive the following would fix the problem: https://github.com/ashcrow/openshift-ansible/commit/d59603544064990f87e8fc18d9ee6cef93592286

Comment 5 Gan Huang 2017-11-09 08:52:55 UTC
Verified in openshift-ansible-3.7.4-1.git.0.254e849.el7.noarch.rpm

Comment 8 errata-xmlrpc 2017-11-28 22:21:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.